upstream php {
    server php-fpm:9001 weight=10 max_fails=3 fail_timeout=30s;
}

server {
    server_name goldart.loc;
    root /var/www/symfony/public;
    listen 80;

    error_page 401 403 404 500 502 503 504 /500.html;

    location / {
        try_files $uri @rewriteapp;
        proxy_read_timeout 300;
    }

    location @rewriteapp { rewrite ^(.*)$ /index.php/$1 last; }

    location ~ ^/index\.php(/|$) {
        fastcgi_pass php;
        fastcgi_split_path_info ^(.+\.php)(/.*)$;
        include fastcgi_params;
        fastcgi_read_timeout 300;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param HTTPS off;
    }

    location ~ ^/.*\.(css|js|jpe?g|png|ico|pdf|PDF)$ {
        expires 7d;
    }

    error_log /var/log/nginx/gold_art_error.log;
    access_log /var/log/nginx/gold_art_access.log;

}
